Listing visit types of a device
curl --request GET \
--url https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"_id": "5f2a1b9c4d3e2f0011223344",
"name": {
"description": "Visitor"
},
"index": 123,
"show_on_tablet": true,
"deleted": true,
"printing": {}
}
]{
"message": "<string>"
}{
"error": "Invalid API key"
}{
"message": "<string>"
}Devices
Listing visit types of a device
The visit types this kiosk shows, which can be a subset of the location’s. A kiosk with no explicit selection returns the full list.
GET
/
companies
/
{company_id}
/
devices
/
{device_uuid}
/
visittypes
Listing visit types of a device
curl --request GET \
--url https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/companies/{company_id}/devices/{device_uuid}/visittypes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"_id": "5f2a1b9c4d3e2f0011223344",
"name": {
"description": "Visitor"
},
"index": 123,
"show_on_tablet": true,
"deleted": true,
"printing": {}
}
]{
"message": "<string>"
}{
"error": "Invalid API key"
}{
"message": "<string>"
}Authorizations
An API key issued in the Backoffice, sent as Authorization: Bearer vzk_<key id>_<secret>.
A Microsoft Entra ID access token obtained with the client credentials
grant is accepted on the same header. The same value is also accepted in
an X-API-Key header.
Path Parameters
The location. A 24-character hexadecimal id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"5f2a1b9c4d3e2f0011223344"
The device's device_uuid, not its _id.
Response
The visit types.

